Overview | Modules | Class Hierarchy | Classes | Members

# tlp::PropertyConfigurationWidget Class Reference

`#include <ImportCSVDataConfigurationWidget.h>`

List of all members.

## Detailed Description

Configuration widget for a property.

## Signals

- void propertyNameChange (QString newName)
- void stateChange (bool state)

## Public Member Functions

- PropertyConfigurationWidget (unsigned int propertyNumber, const QString &propertyName, bool propertyNameIsEditable, int PropertyType, QWidget *parent=NULL)
- int getPropertyType () const
- QString getPropertyName () const
- bool getPropertyUsed () const
- void setPropertyNameValidator (QValidator *validator)
- unsigned int getPropertyNumber () const
- QLineEdit * getNameLineEdit ()
- QComboBox * getTypeComboBox ()
- QCheckBox * getCheckBox ()

## Constructor & Destructor Documentation

tlp::PropertyConfigurationWidget::PropertyConfigurationWidget | ( | unsigned int | propertyNumber,
|  | const QString & | propertyName,
|  | bool | propertyNameIsEditable,
|  | int | PropertyType,
|  | QWidget * | parent = `NULL`
| ) |

## Member Function Documentation

QCheckBox* tlp::PropertyConfigurationWidget::getCheckBox | ( |  | ) | `[inline]`

QLineEdit* tlp::PropertyConfigurationWidget::getNameLineEdit | ( |  | ) | `[inline]`

QString tlp::PropertyConfigurationWidget::getPropertyName | ( |  | ) | const

unsigned int tlp::PropertyConfigurationWidget::getPropertyNumber | ( |  | ) | const

int tlp::PropertyConfigurationWidget::getPropertyType | ( |  | ) | const

| Return the selected property type.

bool tlp::PropertyConfigurationWidget::getPropertyUsed | ( |  | ) | const

QComboBox* tlp::PropertyConfigurationWidget::getTypeComboBox | ( |  | ) | `[inline]`

void tlp::PropertyConfigurationWidget::propertyNameChange | ( | QString | newName | ) | `[signal]`

void tlp::PropertyConfigurationWidget::setPropertyNameValidator | ( | QValidator * | validator | ) |

| Set the property name validator. Use to chek if entered graph name is valid.

void tlp::PropertyConfigurationWidget::stateChange | ( | bool | state | ) | `[signal]`

Tulip Software by LaBRI Visualization Team 2001 - 2010